package com.ywt.alipaympapi.models.enums;


/**
 * 挂号订单状态
 */
public enum RegisteredStatusEnum {
    //    Pending("待支付", 0),
    Paid("待支付", 1),
    Cancel("已取消", 1 << 1),
    Took("已取号", 1 << 2),    //相当于 已支付
    //    Refunded("已退款", 1 << 3),
    Back("已退号", 1<< 4);//相当于 已退款

    RegisteredStatusEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    private final String displayName;

    private final int value;

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
